--- title: "Get operating system type" slug: "analytics-vpcsearchengine-cluster-getosproductlist" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-cluster-getosproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get operating system type Available in VPC Get available operating system types. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/cluster/getOsProductList (Korea Region) | | GET | /api/sgn-v2/cluster/getOsProductList (Singapore Region) | | GET | /api/jpn-v2/cluster/getOsProductList (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getOsProductList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.productList` | Array | - | Operating system type list: [productList](/docs/en/analytics-vpcsearchengine-cluster-getosproductlist#productList) | | `requestId` | String | - | ID for the request - UUID format | #### `productList` The following describes `productList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `productCode` | String | - | Operating system type code | | `productName` | String | - | Operating system version name | | `productType2Code` | String | - | Operating system type | | `productEnglishDesc` | String | - | Operating system version description | | `infraResourceTypeCode` | String | - | Infrastructure resource type | | `softwareTypeCode` | String | - | Software type | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "productList": [ { "productCode": "SW.VELST.OS.LNX64.CNTOS.0708.B050", "productName": "centos-7.8-64", "productType2Code": "LINUX", "productEnglishDesc": "CentOS 7.8 (64-bit)", "infraResourceTypeCode": "SW", "softwareTypeCode": "VELST" }, { "productCode": "SW.VELST.OS.LNX64.ROCKY.0808.B050", "productName": "Rocky Linux 8.8", "productType2Code": "LINUX", "productEnglishDesc": "Rocky Linux 8.8", "infraResourceTypeCode": "SW", "softwareTypeCode": "VELST" } ] }, "requestId": "117f624e-****-****-****-37637bae7cea" } ```